Bug 188317 - Add mechanism for apps to disable screensaver temporarily. And *use it everywhere*
Add mechanism for apps to disable screensaver temporarily. And *use it everyw...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-07 16:13 EDT by Bill Nottingham
Modified: 2014-03-16 22:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-04 01:53:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2006-04-07 16:13:56 EDT
So, I'm sitting here watching Max's Fedora presentation. About 5 minutes in...
the screensaver kicks in on the top of the slides.

gnome-screensaver should have a d-bus (or whatever) interface that allows people
to temporarily disable it. (It may already have this, so see the next point....)

OpenOffice.org, MagicPoint, totem, *whatever*... should use it if/when it exists.
Comment 1 Bill Nottingham 2006-04-07 16:14:55 EDT
Filing here instead of upstream as, even if the feature is an upstream issue, we
need some way to track all the Fedora stuff that needs to hook into this.
Comment 2 jmccann 2006-04-26 11:46:14 EDT
Here's how we do it in Totem (updated to support 2.14 and 2.15 APIs):
http://cvs.gnome.org/viewcvs/totem/src/totem-scrsaver.c?view=markup

For apps that don't want to DBUS dependency you can do
"gnome-screensaver-command --poke" once every few seconds or something.

Hopefully, we can make this an org.freedesktop.ScreenSaver interface at some
point which may help convince upstream packages to use it.

Note You need to log in before you can comment on or make changes to this bug.